/***********************************************************************/
/*                                                                     */
/*  FILE        :inthandler.h                                          */
/*  DATE        :Mon, Apr 26, 2010                                     */
/*  DESCRIPTION :Interrupt Handler Declarations                        */
/*  CPU TYPE    :SH7262                                                */
/*                                                                     */
/*  This file is generated by KPIT GNU Project Generator.              */
/*                                                                     */
/***********************************************************************/
/*********************************************************************
*
* Device     : SH2A-FPU/SH7262,SH7264
*
* File Name  : vect.h
*
* Abstract   : Definition of Vector.
*
* History    : 1.00  (2009-11-13)  [Hardware Manual Revision : 2.00]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright(c) 2009 Renesas Technology Corp.
*               And Renesas Solutions Corp.,All Rights Reserved. 
*
*********************************************************************/
#ifndef VECT_H
#define VECT_H

//;<<VECTOR DATA START (POWER ON RESET)>>
//;0 Power On Reset PC

//;<<VECTOR DATA END (POWER ON RESET)>>
// 1 Power On Reset SP

//;<<VECTOR DATA START (MANUAL RESET)>>
//;2 Manual Reset PC
void INT_Manual_Reset_PC(void) __attribute__ ((interrupt_handler));

//;<<VECTOR DATA END (MANUAL RESET)>>
// 3 Manual Reset SP

// 4 Illegal code
void INT_Illegal_code(void) __attribute__ ((interrupt_handler));

// 5 Reserved

// 6 Illegal slot
void INT_Illegal_slot(void) __attribute__ ((interrupt_handler));

// 7 Reserved

// 8 Reserved

// 9 CPU Address error
void INT_CPU_Address(void) __attribute__ ((interrupt_handler));

// 10 DMAC Address erro
void INT_DMAC_Address(void) __attribute__ ((interrupt_handler));

// 11 NMI
void INT_NMI(void) __attribute__ ((interrupt_handler));

// 12 Reserved

// 13 INT_FPU
void INT_FPU(void) __attribute__ ((interrupt_handler));

// 14 User debug interface
void INT_UDI(void) __attribute__ ((interrupt_handler));

// 15 Bank Overflow
void INT_Bank_Overflow(void) __attribute__ ((interrupt_handler));

// 16 Bank Underflow
void INT_Bank_Underflow(void) __attribute__ ((interrupt_handler));

// 17 Divide by zero
void INT_Divide_by_Zero(void) __attribute__ ((interrupt_handler));

// 18 Divide Overflow
void INT_Divide_Overflow(void) __attribute__ ((interrupt_handler));

// 19 Reserved

// 20 Reserved

// 21 Reserved

// 22 Reserved

// 23 Reserved

// 24 Reserved

// 25 Reserved

// 26 Reserved

// 27 Reserved

// 28 Reserved

// 29 Reserved

// 30 Reserved

// 31 Reserved

// 32 TRAPA (User Vector)
void INT_TRAPA32(void) __attribute__ ((interrupt_handler));

// 33 TRAPA (User Vector)
void INT_TRAPA33(void) __attribute__ ((interrupt_handler));

// 34 TRAPA (User Vector)
void INT_TRAPA34(void) __attribute__ ((interrupt_handler));

// 35 TRAPA (User Vector)
void INT_TRAPA35(void) __attribute__ ((interrupt_handler));

// 36 TRAPA (User Vector)
void INT_TRAPA36(void) __attribute__ ((interrupt_handler));

// 37 TRAPA (User Vector)
void INT_TRAPA37(void) __attribute__ ((interrupt_handler));

// 38 TRAPA (User Vector)
void INT_TRAPA38(void) __attribute__ ((interrupt_handler));

// 39 TRAPA (User Vector)
void INT_TRAPA39(void) __attribute__ ((interrupt_handler));

// 40 TRAPA (User Vector)
void INT_TRAPA40(void) __attribute__ ((interrupt_handler));

// 41 TRAPA (User Vector)
void INT_TRAPA41(void) __attribute__ ((interrupt_handler));

// 42 TRAPA (User Vector)
void INT_TRAPA42(void) __attribute__ ((interrupt_handler));

// 43 TRAPA (User Vector)
void INT_TRAPA43(void) __attribute__ ((interrupt_handler));

// 44 TRAPA (User Vector)
void INT_TRAPA44(void) __attribute__ ((interrupt_handler));

// 45 TRAPA (User Vector)
void INT_TRAPA45(void) __attribute__ ((interrupt_handler));

// 46 TRAPA (User Vector)
void INT_TRAPA46(void) __attribute__ ((interrupt_handler));

// 47 TRAPA (User Vector)
void INT_TRAPA47(void) __attribute__ ((interrupt_handler));

// 48 TRAPA (User Vector)
void INT_TRAPA48(void) __attribute__ ((interrupt_handler));

// 49 TRAPA (User Vector)
void INT_TRAPA49(void) __attribute__ ((interrupt_handler));

// 50 TRAPA (User Vector)
void INT_TRAPA50(void) __attribute__ ((interrupt_handler));

// 51 TRAPA (User Vector)
void INT_TRAPA51(void) __attribute__ ((interrupt_handler));

// 52 TRAPA (User Vector)
void INT_TRAPA52(void) __attribute__ ((interrupt_handler));

// 53 TRAPA (User Vector)
void INT_TRAPA53(void) __attribute__ ((interrupt_handler));

// 54 TRAPA (User Vector)
void INT_TRAPA54(void) __attribute__ ((interrupt_handler));

// 55 TRAPA (User Vector)
void INT_TRAPA55(void) __attribute__ ((interrupt_handler));

// 56 TRAPA (User Vector)
void INT_TRAPA56(void) __attribute__ ((interrupt_handler));

// 57 TRAPA (User Vector)
void INT_TRAPA57(void) __attribute__ ((interrupt_handler));

// 58 TRAPA (User Vector)
void INT_TRAPA58(void) __attribute__ ((interrupt_handler));

// 59 TRAPA (User Vector)
void INT_TRAPA59(void) __attribute__ ((interrupt_handler));

// 60 TRAPA (User Vector)
void INT_TRAPA60(void) __attribute__ ((interrupt_handler));

// 61 TRAPA (User Vector)
void INT_TRAPA61(void) __attribute__ ((interrupt_handler));

// 62 TRAPA (User Vector)
void INT_TRAPA62(void) __attribute__ ((interrupt_handler));

// 63 TRAPA (User Vector)
void INT_TRAPA63(void) __attribute__ ((interrupt_handler));

// 64 Interrupt IRQ0
void INT_IRQ0(void) __attribute__ ((interrupt_handler));

// 65 Interrupt IRQ1
void INT_IRQ1(void) __attribute__ ((interrupt_handler));

// 66 Interrupt IRQ2
void INT_IRQ2(void) __attribute__ ((interrupt_handler));

// 67 Interrupt IRQ3
void INT_IRQ3(void) __attribute__ ((interrupt_handler));

// 68 Interrupt IRQ4
void INT_IRQ4(void) __attribute__ ((interrupt_handler));

// 69 Interrupt IRQ5
void INT_IRQ5(void) __attribute__ ((interrupt_handler));

// 70 Interrupt IRQ6
void INT_IRQ6(void) __attribute__ ((interrupt_handler));

// 71 Interrupt IRQ7
void INT_IRQ7(void) __attribute__ ((interrupt_handler));

// 72 Reserved

// 73 Reserved

// 74 Reserved

// 75 Reserved

// 76 Reserved

// 77 Reserved

// 78 Reserved

// 79 Reserved

// 80 PINT PINT0
void INT_PINT_PINT0(void) __attribute__ ((interrupt_handler));

// 81 PINT PINT1
void INT_PINT_PINT1(void) __attribute__ ((interrupt_handler));

// 82 PINT PINT2
void INT_PINT_PINT2(void) __attribute__ ((interrupt_handler));

// 83 PINT PINT3
void INT_PINT_PINT3(void) __attribute__ ((interrupt_handler));

// 84 PINT PINT4
void INT_PINT_PINT4(void) __attribute__ ((interrupt_handler));

// 85 PINT PINT5
void INT_PINT_PINT5(void) __attribute__ ((interrupt_handler));

// 86 PINT PINT6
void INT_PINT_PINT6(void) __attribute__ ((interrupt_handler));

// 87 PINT PINT7
void INT_PINT_PINT7(void) __attribute__ ((interrupt_handler));

// 88 Reserved

// 89 Reserved

// 90 Reserved

// 91 Reserved

// 92 Reserved

// 93 Reserved

// 94 Reserved

// 95 Reserved

// 96 Reserved

// 97 Reserved

// 98 Reserved

// 99 Reserved

// 100 Reserved

// 101 Reserved

// 102 Reserved

// 103 Reserved

// 104 Reserved

// 105 Reserved

// 106 Reserved

// 107 Reserved

// 108 DMAC0 DEI
void INT_DMAC0_DEI0(void) __attribute__ ((interrupt_handler));

// 109 DMAC0 HEI
void INT_DMAC0_HEI0(void) __attribute__ ((interrupt_handler));

// 110 Reserved

// 111 Reserved

// 112 DMAC1 DEI
void INT_DMAC1_DEI1(void) __attribute__ ((interrupt_handler));

// 113 DMAC1 HEI
void INT_DMAC1_HEI1(void) __attribute__ ((interrupt_handler));

// 114 Reserved

// 115 Reserved

// 116 DMAC2 DEI
void INT_DMAC2_DEI2(void) __attribute__ ((interrupt_handler));

// 117 DMAC2 HEI
void INT_DMAC2_HEI2(void) __attribute__ ((interrupt_handler));

// 118 Reserved

// 119 Reserved

// 120 DMAC3 DEI
void INT_DMAC3_DEI3(void) __attribute__ ((interrupt_handler));

// 121 DMAC3 HEI
void INT_DMAC3_HEI3(void) __attribute__ ((interrupt_handler));

// 122 Reserved

// 123 Reserved

// 124 DMAC4 DEI
void INT_DMAC4_DEI4(void) __attribute__ ((interrupt_handler));

// 125 DMAC4 HEI
void INT_DMAC4_HEI4(void) __attribute__ ((interrupt_handler));

// 126 Reserved

// 127 Reserved

// 128 DMAC5 DEI
void INT_DMAC5_DEI5(void) __attribute__ ((interrupt_handler));

// 129 DMAC5 HEI
void INT_DMAC5_HEI5(void) __attribute__ ((interrupt_handler));

// 130 Reserved

// 131 Reserved

// 132 DMAC6 DEI
void INT_DMAC6_DEI6(void) __attribute__ ((interrupt_handler));

// 133 DMAC6 HEI
void INT_DMAC6_HEI6(void) __attribute__ ((interrupt_handler));

// 134 Reserved

// 135 Reserved

// 136 DMAC7 DEI
void INT_DMAC7_DEI7(void) __attribute__ ((interrupt_handler));

// 137 DMAC7 HEI
void INT_DMAC7_HEI7(void) __attribute__ ((interrupt_handler));

// 138 Reserved

// 139 Reserved

// 140 DMAC8 DEI
void INT_DMAC8_DEI8(void) __attribute__ ((interrupt_handler));

// 141 DMAC8 HEI
void INT_DMAC8_HEI8(void) __attribute__ ((interrupt_handler));

// 142 Reserved

// 143 Reserved

// 144 DMAC9 DEI
void INT_DMAC9_DEI9(void) __attribute__ ((interrupt_handler));

// 145 DMAC9 HEI
void INT_DMAC9_HEI9(void) __attribute__ ((interrupt_handler));

// 146 Reserved

// 147 Reserved

// 148 DMAC10 DEI
void INT_DMAC10_DEI10(void) __attribute__ ((interrupt_handler));

// 149 DMAC10 HEI
void INT_DMAC10_HEI10(void) __attribute__ ((interrupt_handler));

// 150 Reserved

// 151 Reserved

// 152 DMAC11 DEI
void INT_DMAC11_DEI11(void) __attribute__ ((interrupt_handler));

// 153 DMAC11 HEI
void INT_DMAC11_HEI11(void) __attribute__ ((interrupt_handler));

// 154 Reserved

// 155 Reserved

// 156 DMAC12 DEI
void INT_DMAC12_DEI12(void) __attribute__ ((interrupt_handler));

// 157 DMAC12 HEI
void INT_DMAC12_HEI12(void) __attribute__ ((interrupt_handler));

// 158 Reserved

// 159 Reserved

// 160 DMAC13 DEI
void INT_DMAC13_DEI13(void) __attribute__ ((interrupt_handler));

// 161 DMAC13 HEI
void INT_DMAC13_HEI13(void) __attribute__ ((interrupt_handler));

// 162 Reserved

// 163 Reserved

// 164 DMAC14 DEI
void INT_DMAC14_DEI14(void) __attribute__ ((interrupt_handler));

// 165 DMAC14 HEI
void INT_DMAC14_HEI14(void) __attribute__ ((interrupt_handler));

// 166 Reserved

// 167 Reserved

// 168 DMAC15 DEI
void INT_DMAC15_DEI15(void) __attribute__ ((interrupt_handler));

// 169 DMAC15 HEI
void INT_DMAC15_HEI15(void) __attribute__ ((interrupt_handler));

// 170 USB2.0 USBI
void INT_USB2_USBI(void) __attribute__ ((interrupt_handler));

// 171 VDC VIVSYNCJ
void INT_VDC_VIVSYNCJ(void) __attribute__ ((interrupt_handler));

// 172 VDC VBUFERR
void INT_VDC_VBUFERR(void) __attribute__ ((interrupt_handler));

// 173 VDC VIFIELDE
void INT_VDC_VIFIELDE(void) __attribute__ ((interrupt_handler));

// 174 VDC VOLINE
void INT_VDC_VOLINE(void) __attribute__ ((interrupt_handler));

// 175 CMT CH0 CMI0
void INT_CMT_CMI0(void) __attribute__ ((interrupt_handler));

// 176 CMT CH1 CMI1
void INT_CMT_CMI1(void) __attribute__ ((interrupt_handler));

// 177 BSC CMI
void INT_BSC_CMI(void) __attribute__ ((interrupt_handler));

// 178 WDT ITI
void INT_WDT_ITI(void) __attribute__ ((interrupt_handler));

// 179 MTU2 MTU0 TGI0A
void INT_MTU2_MTU0_TGI0A(void) __attribute__ ((interrupt_handler));

// 180 MTU2 MTU0 TGI0B
void INT_MTU2_MTU0_TGI0B(void) __attribute__ ((interrupt_handler));

// 181 MTU2 MTU0 TGI0C
void INT_MTU2_MTU0_TGI0C(void) __attribute__ ((interrupt_handler));

// 182 MTU2 MTU0 TGI0D
void INT_MTU2_MTU0_TGI0D(void) __attribute__ ((interrupt_handler));

// 183 MTU2 MTU0 TCI0V
void INT_MTU2_MTU0_TCI0V(void) __attribute__ ((interrupt_handler));

// 184 MTU2 MTU0 TGI0E
void INT_MTU2_MTU0_TGI0E(void) __attribute__ ((interrupt_handler));

// 185 MTU2 MTU0 TGI0F
void INT_MTU2_MTU0_TGI0F(void) __attribute__ ((interrupt_handler));

// 186 MTU2 MTU1 TGI1A
void INT_MTU2_MTU1_TGI1A(void) __attribute__ ((interrupt_handler));

// 187 MTU2 MTU1 TGI1B
void INT_MTU2_MTU1_TGI1B(void) __attribute__ ((interrupt_handler));

// 188 MTU2 MTU1 TCI1V
void INT_MTU2_MTU1_TCI1V(void) __attribute__ ((interrupt_handler));

// 189 MTU2 MTU1 TCI1U
void INT_MTU2_MTU1_TCI1U(void) __attribute__ ((interrupt_handler));

// 190 MTU2 MTU2 TGI2A
void INT_MTU2_MTU2_TGI2A(void) __attribute__ ((interrupt_handler));

// 191 MTU2 MTU2 TGI2B
void INT_MTU2_MTU2_TGI2B(void) __attribute__ ((interrupt_handler));

// 192 MTU2 MTU2 TCI2V
void INT_MTU2_MTU2_TCI2V(void) __attribute__ ((interrupt_handler));

// 193 MTU2 MTU2 TCI2U
void INT_MTU2_MTU2_TCI2U(void) __attribute__ ((interrupt_handler));

// 194 MTU2 MTU3 TGI3A
void INT_MTU2_MTU3_TGI3A(void) __attribute__ ((interrupt_handler));

// 195 MTU2 MTU3 TGI3B
void INT_MTU2_MTU3_TGI3B(void) __attribute__ ((interrupt_handler));

// 196 MTU2 MTU3 TGI3C
void INT_MTU2_MTU3_TGI3C(void) __attribute__ ((interrupt_handler));

// 197 MTU2 MTU3 TGI3D
void INT_MTU2_MTU3_TGI3D(void) __attribute__ ((interrupt_handler));

// 198 MTU2 MTU3 TCI3V
void INT_MTU2_MTU3_TCI3V(void) __attribute__ ((interrupt_handler));

// 199 MTU2 MTU4 TGI4A
void INT_MTU2_MTU4_TGI4A(void) __attribute__ ((interrupt_handler));

// 200 MTU2 MTU4 TGI4B
void INT_MTU2_MTU4_TGI4B(void) __attribute__ ((interrupt_handler));

// 201 MTU2 MTU4 TGI4C
void INT_MTU2_MTU4_TGI4C(void) __attribute__ ((interrupt_handler));

// 202 MTU2 MTU4 TGI4D
void INT_MTU2_MTU4_TGI4D(void) __attribute__ ((interrupt_handler));

// 203 MTU2 MTU4 TCI4V
void INT_MTU2_MTU4_TCI4V(void) __attribute__ ((interrupt_handler));

// 204 PWM CH1
void INT_PWM_CH1(void) __attribute__ ((interrupt_handler));

// 205 PWM CH2
void INT_PWM_CH2(void) __attribute__ ((interrupt_handler));

// 206 ADC ADI
void INT_ADC_ADI(void) __attribute__ ((interrupt_handler));

// 207 SSI CH0 SSIF0
void INT_SSI_CH0_SSIF0(void) __attribute__ ((interrupt_handler));

// 208 SSI CH0 SSIRXI0
void INT_SSI_CH0_SSIRXI0(void) __attribute__ ((interrupt_handler));

// 209 SSI CH0 SSITXI0
void INT_SSI_CH0_SSITXI0(void) __attribute__ ((interrupt_handler));

// 210 SSI CH1 SSII1
void INT_SSI_CH1_SSII1(void) __attribute__ ((interrupt_handler));

// 211 SSI CH1 SSIRTI1
void INT_SSI_CH1_SSIRTI1(void) __attribute__ ((interrupt_handler));

// 212 SSI CH2 SSII2
void INT_SSI_CH2_SSII2(void) __attribute__ ((interrupt_handler));

// 213 SSI CH2 SSIRTI2
void INT_SSI_CH2_SSIRTI2(void) __attribute__ ((interrupt_handler));

// 214 SSI CH3 SSII3
void INT_SSI_CH3_SSII3(void) __attribute__ ((interrupt_handler));

// 215 SSI CH3 SSIRTI3
void INT_SSI_CH3_SSIRTI3(void) __attribute__ ((interrupt_handler));

// 216 SPDIF SPDIFI
void INT_SPDIF_SPDIFI(void) __attribute__ ((interrupt_handler));

// 217 PCBI3 CH0 STPI0
void INT_PCBI3_CH0_STPI0(void) __attribute__ ((interrupt_handler));

// 218 PCBI3 CH0 NAKI0
void INT_PCBI3_CH0_NAKI0(void) __attribute__ ((interrupt_handler));

// 219 PCBI3 CH0 RXI0
void INT_PCBI3_CH0_RXI0(void) __attribute__ ((interrupt_handler));

// 220 PCBI3 CH0 TXI0
void INT_PCBI3_CH0_TXI0(void) __attribute__ ((interrupt_handler));

// 221 PCBI3 CH0 TEI0
void INT_PCBI3_CH0_TEI0(void) __attribute__ ((interrupt_handler));

// 222 PCBI3 CH1 STPI1
void INT_PCBI3_CH1_STPI1(void) __attribute__ ((interrupt_handler));

// 223 PCBI3 CH1 NAKI1
void INT_PCBI3_CH1_NAKI1(void) __attribute__ ((interrupt_handler));

// 224 PCBI3 CH1 RXI1
void INT_PCBI3_CH1_RXI1(void) __attribute__ ((interrupt_handler));

// 225 PCBI3 CH1 TXI1
void INT_PCBI3_CH1_TXI1(void) __attribute__ ((interrupt_handler));

// 226 PCBI3 CH1 TEI1
void INT_PCBI3_CH1_TEI1(void) __attribute__ ((interrupt_handler));

// 227 PCBI3 CH2 STPI2
void INT_PCBI3_CH2_STPI2(void) __attribute__ ((interrupt_handler));

// 228 PCBI3 CH2 NAKI2
void INT_PCBI3_CH2_NAKI2(void) __attribute__ ((interrupt_handler));

// 229 PCBI3 CH2 RXI2
void INT_PCBI3_CH2_RXI2(void) __attribute__ ((interrupt_handler));

// 230 PCBI3 CH2 TXI2
void INT_PCBI3_CH2_TXI2(void) __attribute__ ((interrupt_handler));

// 231 PCBI3 CH2 TEI2
void INT_PCBI3_CH2_TEI2(void) __attribute__ ((interrupt_handler));

// 232 SCIF SCIF0 BRI0
void INT_SCIF_SCIF0_BRI0(void) __attribute__ ((interrupt_handler));

// 233 SCIF SCIF0 ERI0
void INT_SCIF_SCIF0_ERI0(void) __attribute__ ((interrupt_handler));

// 234 SCIF SCIF0 RXI0
void INT_SCIF_SCIF0_RXI0(void) __attribute__ ((interrupt_handler));

// 235 SCIF SCIF0 TXI0
void INT_SCIF_SCIF0_TXI0(void) __attribute__ ((interrupt_handler));

// 236 SCIF SCIF1 BRI1
void INT_SCIF_SCIF1_BRI1(void) __attribute__ ((interrupt_handler));

// 237 SCIF SCIF1 ERI1
void INT_SCIF_SCIF1_ERI1(void) __attribute__ ((interrupt_handler));

// 238 SCIF SCIF1 RXI1
void INT_SCIF_SCIF1_RXI1(void) __attribute__ ((interrupt_handler));

// 239 SCIF SCIF1 TXI1
void INT_SCIF_SCIF1_TXI1(void) __attribute__ ((interrupt_handler));

// 240 SCIF SCIF2 BRI2
void INT_SCIF_SCIF2_BRI2(void) __attribute__ ((interrupt_handler));

// 241 SCIF SCIF2 ERI2
void INT_SCIF_SCIF2_ERI2(void) __attribute__ ((interrupt_handler));

// 242 SCIF SCIF2 RXI2
void INT_SCIF_SCIF2_RXI2(void) __attribute__ ((interrupt_handler));

// 243 SCIF SCIF2 TXI2
void INT_SCIF_SCIF2_TXI2(void) __attribute__ ((interrupt_handler));

// 244 SCIF SCIF3 BRI3
void INT_SCIF_SCIF3_BRI3(void) __attribute__ ((interrupt_handler));

// 245 SCIF SCIF3 ERI3
void INT_SCIF_SCIF3_ERI3(void) __attribute__ ((interrupt_handler));

// 246 SCIF SCIF3 RXI3
void INT_SCIF_SCIF3_RXI3(void) __attribute__ ((interrupt_handler));

// 247 SCIF SCIF3 TXI3
void INT_SCIF_SCIF3_TXI3(void) __attribute__ ((interrupt_handler));

// 248 SCIF SCIF4 BRI4
void INT_SCIF_SCIF4_BRI4(void) __attribute__ ((interrupt_handler));

// 249 SCIF SCIF4 ERI4
void INT_SCIF_SCIF4_ERI4(void) __attribute__ ((interrupt_handler));

// 250 SCIF SCIF4 RXI4
void INT_SCIF_SCIF4_RXI4(void) __attribute__ ((interrupt_handler));

// 251 SCIF SCIF4 TXI4
void INT_SCIF_SCIF4_TXI4(void) __attribute__ ((interrupt_handler));

// 252 SCIF SCIF5 BRI5
void INT_SCIF_SCIF5_BRI5(void) __attribute__ ((interrupt_handler));

// 253 SCIF SCIF5 ERI5
void INT_SCIF_SCIF5_ERI5(void) __attribute__ ((interrupt_handler));

// 254 SCIF SCIF5 RXI5
void INT_SCIF_SCIF5_RXI5(void) __attribute__ ((interrupt_handler));

// 255 SCIF SCIF5 TXI5
void INT_SCIF_SCIF5_TXI5(void) __attribute__ ((interrupt_handler));

// 256 SCIF SCIF6 BRI6
void INT_SCIF_SCIF6_BRI6(void) __attribute__ ((interrupt_handler));

// 257 SCIF SCIF6 ERI6
void INT_SCIF_SCIF6_ERI6(void) __attribute__ ((interrupt_handler));

// 258 SCIF SCIF6 RXI6
void INT_SCIF_SCIF6_RXI6(void) __attribute__ ((interrupt_handler));

// 259 SCIF SCIF6 TXI6
void INT_SCIF_SCIF6_TXI6(void) __attribute__ ((interrupt_handler));

// 260 SCIF SCIF7 BRI7
void INT_SCIF_SCIF7_BRI7(void) __attribute__ ((interrupt_handler));

// 261 SCIF SCIF7 ERI7
void INT_SCIF_SCIF7_ERI7(void) __attribute__ ((interrupt_handler));

// 262 SCIF SCIF7 RXI7
void INT_SCIF_SCIF7_RXI7(void) __attribute__ ((interrupt_handler));

// 263 SCIF SCIF7 TXI7
void INT_SCIF_SCIF7_TXI7(void) __attribute__ ((interrupt_handler));

// 264 CSSIO SIOFI
void INT_CSSIO_SIOFI(void) __attribute__ ((interrupt_handler));

// 265 RPI CH0 SPEI0
void INT_RPI_CH0_SPEI0(void) __attribute__ ((interrupt_handler));

// 266 RPI CH0 SPRI0
void INT_RPI_CH0_SPRI0(void) __attribute__ ((interrupt_handler));

// 267 RPI CH0 SPTI0
void INT_RPI_CH0_SPTI0(void) __attribute__ ((interrupt_handler));

// 268 RPI CH1 SPEI1
void INT_RPI_CH1_SPEI1(void) __attribute__ ((interrupt_handler));

// 269 RPI CH1 SPRI1
void INT_RPI_CH1_SPRI1(void) __attribute__ ((interrupt_handler));

// 270 RPI CH1 SPTI1
void INT_RPI_CH1_SPTI1(void) __attribute__ ((interrupt_handler));

// 271 CAN CH0 ERS0
void INT_CAN_CH0_ERS0(void) __attribute__ ((interrupt_handler));

// 272 CAN CH0 OVR0
void INT_CAN_CH0_OVR0(void) __attribute__ ((interrupt_handler));

// 273 CAN CH0 RM00
void INT_CAN_CH0_RM00(void) __attribute__ ((interrupt_handler));

// 274 CAN CH0 RM10
void INT_CAN_CH0_RM10(void) __attribute__ ((interrupt_handler));

// 275 CAN CH0 SLE0
void INT_CAN_CH0_SLE0(void) __attribute__ ((interrupt_handler));

// 276 CAN CH1 ERS1
void INT_CAN_CH1_ERS1(void) __attribute__ ((interrupt_handler));

// 277 CAN CH1 OVR1
void INT_CAN_CH1_OVR1(void) __attribute__ ((interrupt_handler));

// 278 CAN CH1 RM01
void INT_CAN_CH1_RM01(void) __attribute__ ((interrupt_handler));

// 279 CAN CH1 RM11
void INT_CAN_CH1_RM11(void) __attribute__ ((interrupt_handler));

// 280 CAN CH1 SLE1
void INT_CAN_CH1_SLE1(void) __attribute__ ((interrupt_handler));

// 281 IEBC IEB
void INT_IEBC_IEB(void) __attribute__ ((interrupt_handler));

// 282 CDROMDEC ISY
void INT_CDROMDEC_ISY(void) __attribute__ ((interrupt_handler));

// 283 CDROMDEC IERR
void INT_CDROMDEC_IERR(void) __attribute__ ((interrupt_handler));

// 284 CDROMDEC ITARG
void INT_CDROMDEC_ITARG(void) __attribute__ ((interrupt_handler));

// 285 CDROMDEC ISEC
void INT_CDROMDEC_ISEC(void) __attribute__ ((interrupt_handler));

// 286 CDROMDEC IBUF
void INT_CDROMDEC_IBUF(void) __attribute__ ((interrupt_handler));

// 287 CDROMDEC IREADY
void INT_CDROMDEC_IREADY(void) __attribute__ ((interrupt_handler));

// 288 FMC FLSTEI
void INT_FMC_FLSTEI(void) __attribute__ ((interrupt_handler));

// 289 FMC FLTENDI
void INT_FMC_FLTENDI(void) __attribute__ ((interrupt_handler));

// 290 FMC FLTREQ0I
void INT_FMC_FLTREQ0I(void) __attribute__ ((interrupt_handler));

// 291 FMC FLTREQ1I
void INT_FMC_FLTREQ1I(void) __attribute__ ((interrupt_handler));

// 292 SDHI SDHI3
void INT_SDHI_SDHI3(void) __attribute__ ((interrupt_handler));

// 293 SDHI SDHI0
void INT_SDHI_SDHI0(void) __attribute__ ((interrupt_handler));

// 294 SDHI SDHI1
void INT_SDHI_SDHI1(void) __attribute__ ((interrupt_handler));

// 295 Reserved

// 296 RTC ARM
void INT_RTC_ARM(void) __attribute__ ((interrupt_handler));

// 297 RTC PRD
void INT_RTC_PRD(void) __attribute__ ((interrupt_handler));

// 298 RTC CUP
void INT_RTC_CUP(void) __attribute__ ((interrupt_handler));

// 299 SRC CH0 OVF0
void INT_SRC_CH0_OVF0(void) __attribute__ ((interrupt_handler));

// 300 SRC CH0 UDF0
void INT_SRC_CH0_UDF0(void) __attribute__ ((interrupt_handler));

// 301 SRC CH0 CEF0
void INT_SRC_CH0_CEF0(void) __attribute__ ((interrupt_handler));

// 302 SRC CH0 ODFI0
void INT_SRC_CH0_ODFI0(void) __attribute__ ((interrupt_handler));

// 303 SRC CH0 IDEI0
void INT_SRC_CH0_IDEI0(void) __attribute__ ((interrupt_handler));

// 304 SRC CH1 OVF1
void INT_SRC_CH1_OVF1(void) __attribute__ ((interrupt_handler));

// 305 SRC CH1 UDF1
void INT_SRC_CH1_UDF1(void) __attribute__ ((interrupt_handler));

// 306 SRC CH1 CEF1
void INT_SRC_CH1_CEF1(void) __attribute__ ((interrupt_handler));

// 307 SRC CH1 ODFI1
void INT_SRC_CH1_ODFI1(void) __attribute__ ((interrupt_handler));

// 308 SRC CH1 IDEI1
void INT_SRC_CH1_IDEI1(void) __attribute__ ((interrupt_handler));

// 309 DCU DCUEI
void INT_SRC_DCU_DCUEI(void) __attribute__ ((interrupt_handler));

// 310 DCU OFFI
void INT_SRC_DCU_OFFI(void) __attribute__ ((interrupt_handler));

// 311 DCU IFEI
void INT_SRC_DCU_IFEI(void) __attribute__ ((interrupt_handler));

// Dummy
void INT_Dummy(void) __attribute__ ((interrupt_handler));

#endif /* VECT_H */

/* End of File */
