/***********************************************************************/
/*                                                                     */
/*  FILE        :vects.c                                               */
/*  DATE        :Mon, Apr 26, 2010                                     */
/*  DESCRIPTION :Vector Table                                          */
/*  CPU TYPE    :SH7262                                                */
/*                                                                     */
/*  This file is generated by KPIT GNU Project Generator.              */
/*                                                                     */
/***********************************************************************/
                  
/*********************************************************************
*
* Device     : SH2A-FPU/SH7262,SH7264
*
* File Name  : vecttbl.c
*
* Abstract   : Initialize of Vector Table.
*
* History    : 1.00  (2009-02-24)  [Hardware Manual Revision : 2.00]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright(c) 2008 Renesas Technology Corp.
*               And Renesas Solutions Corp.,All Rights Reserved. 
*
*********************************************************************/

#include        "inthandler.h"

typedef void (*fp) (void);
extern void start(void);     /* Startup code (in start.s)  */
extern void stack (void);

#define VECT_SECT          __attribute__ ((section (".vects")))

const fp HardwareVectors[] VECT_SECT  = {
//;<<VECTOR DATA START (POWER ON RESET)>>
//;0 Power On Reset PC
     start,
//;<<VECTOR DATA END (POWER ON RESET)>>
// 1 Power On Reset SP
    (fp)stack,
//;<<VECTOR DATA START (MANUAL RESET)>>
//;2 Manual Reset PC
    INT_Manual_Reset_PC,
//;<<VECTOR DATA END (MANUAL RESET)>>
// 3 Manual Reset SP
    (fp)stack,
// 4 Illegal code
    INT_Illegal_code,
// 5 Reserved
    INT_Dummy,
// 6 Illegal slot
    INT_Illegal_slot,
// 7 Reserved
    INT_Dummy,
// 8 Reserved
    INT_Dummy,
// 9 CPU Address error
    INT_CPU_Address,
// 10 DMAC Address erro
    INT_DMAC_Address,
// 11 NMI
    INT_NMI,
// 12 Reserved
    INT_Dummy,
// 13 INT_FPU
    INT_FPU,
// 14 User debug interface
    INT_UDI,
// 15 Bank Overflow
    INT_Bank_Overflow,
// 16 Bank Underflow
    INT_Bank_Underflow,
// 17 Divide by zero
    INT_Divide_by_Zero,
// 18 Divide Overflow
    INT_Divide_Overflow,
// 19 Reserved
    INT_Dummy,
// 20 Reserved
    INT_Dummy,
// 21 Reserved
    INT_Dummy,
// 22 Reserved
    INT_Dummy,
// 23 Reserved
    INT_Dummy,
// 24 Reserved
    INT_Dummy,
// 25 Reserved
    INT_Dummy,
// 26 Reserved
    INT_Dummy,
// 27 Reserved
    INT_Dummy,
// 28 Reserved
    INT_Dummy,
// 29 Reserved
    INT_Dummy,
// 30 Reserved
    INT_Dummy,
// 31 Reserved
    INT_Dummy,
// 32 TRAPA (User Vector)
    INT_TRAPA32,
// 33 TRAPA (User Vector)
    INT_TRAPA33,
// 34 TRAPA (User Vector)
    INT_TRAPA34,
// 35 TRAPA (User Vector)
    INT_TRAPA35,
// 36 TRAPA (User Vector)
    INT_TRAPA36,
// 37 TRAPA (User Vector)
    INT_TRAPA37,
// 38 TRAPA (User Vector)
    INT_TRAPA38,
// 39 TRAPA (User Vector)
    INT_TRAPA39,
// 40 TRAPA (User Vector)
    INT_TRAPA40,
// 41 TRAPA (User Vector)
    INT_TRAPA41,
// 42 TRAPA (User Vector)
    INT_TRAPA42,
// 43 TRAPA (User Vector)
    INT_TRAPA43,
// 44 TRAPA (User Vector)
    INT_TRAPA44,
// 45 TRAPA (User Vector)
    INT_TRAPA45,
// 46 TRAPA (User Vector)
    INT_TRAPA46,
// 47 TRAPA (User Vector)
    INT_TRAPA47,
// 48 TRAPA (User Vector)
    INT_TRAPA48,
// 49 TRAPA (User Vector)
    INT_TRAPA49,
// 50 TRAPA (User Vector)
    INT_TRAPA50,
// 51 TRAPA (User Vector)
    INT_TRAPA51,
// 52 TRAPA (User Vector)
    INT_TRAPA52,
// 53 TRAPA (User Vector)
    INT_TRAPA53,
// 54 TRAPA (User Vector)
    INT_TRAPA54,
// 55 TRAPA (User Vector)
    INT_TRAPA55,
// 56 TRAPA (User Vector)
    INT_TRAPA56,
// 57 TRAPA (User Vector)
    INT_TRAPA57,
// 58 TRAPA (User Vector)
    INT_TRAPA58,
// 59 TRAPA (User Vector)
    INT_TRAPA59,
// 60 TRAPA (User Vector)
    INT_TRAPA60,
// 61 TRAPA (User Vector)
    INT_TRAPA61,
// 62 TRAPA (User Vector)
    INT_TRAPA62,
// 63 TRAPA (User Vector)
    INT_TRAPA63,
// 64 Interrupt IRQ0
    INT_IRQ0,
// 65 Interrupt IRQ1
    INT_IRQ1,
// 66 Interrupt IRQ2
    INT_IRQ2,
// 67 Interrupt IRQ3
    INT_IRQ3,
// 68 Interrupt IRQ4
    INT_IRQ4,
// 69 Interrupt IRQ5
    INT_IRQ5,
// 70 Interrupt IRQ6
    INT_IRQ6,
// 71 Interrupt IRQ7
    INT_IRQ7,
// 72 Reserved
    INT_Dummy,
// 73 Reserved
    INT_Dummy,
// 74 Reserved
    INT_Dummy,
// 75 Reserved
    INT_Dummy,
// 76 Reserved
    INT_Dummy,
// 77 Reserved
    INT_Dummy,
// 78 Reserved
    INT_Dummy,
// 79 Reserved
    INT_Dummy,
// 80 PINT PINT0
    INT_PINT_PINT0,
// 81 PINT PINT1
    INT_PINT_PINT1,
// 82 PINT PINT2
    INT_PINT_PINT2,
// 83 PINT PINT3
    INT_PINT_PINT3,
// 84 PINT PINT4
    INT_PINT_PINT4,
// 85 PINT PINT5
    INT_PINT_PINT5,
// 86 PINT PINT6
    INT_PINT_PINT6,
// 87 PINT PINT7
    INT_PINT_PINT7,
// 88 Reserved
    INT_Dummy,
// 89 Reserved
    INT_Dummy,
// 90 Reserved
    INT_Dummy,
// 91 Reserved
    INT_Dummy,
// 92 Reserved
    INT_Dummy,
// 93 Reserved
    INT_Dummy,
// 94 Reserved
    INT_Dummy,
// 95 Reserved
    INT_Dummy,
// 96 Reserved
    INT_Dummy,
// 97 Reserved
    INT_Dummy,
// 98 Reserved
    INT_Dummy,
// 99 Reserved
    INT_Dummy,
// 100 Reserved
    INT_Dummy,
// 101 Reserved
    INT_Dummy,
// 102 Reserved
    INT_Dummy,
// 103 Reserved
    INT_Dummy,
// 104 Reserved
    INT_Dummy,
// 105 Reserved
    INT_Dummy,
// 106 Reserved
    INT_Dummy,
// 107 Reserved
    INT_Dummy,
// 108 DMAC0 DEI
    INT_DMAC0_DEI0,
// 109 DMAC0 HEI
    INT_DMAC0_HEI0,
// 110 Reserved
    INT_Dummy,
// 111 Reserved
    INT_Dummy,
// 112 DMAC1 DEI
    INT_DMAC1_DEI1,
// 113 DMAC1 HEI
    INT_DMAC1_HEI1,
// 114 Reserved
    INT_Dummy,
// 115 Reserved
    INT_Dummy,
// 116 DMAC2 DEI
    INT_DMAC2_DEI2,
// 117 DMAC2 HEI
    INT_DMAC2_HEI2,
// 118 Reserved
    INT_Dummy,
// 119 Reserved
    INT_Dummy,
// 120 DMAC3 DEI
    INT_DMAC3_DEI3,
// 121 DMAC3 HEI
    INT_DMAC3_HEI3,
// 122 Reserved
    INT_Dummy,
// 123 Reserved
    INT_Dummy,
// 124 DMAC4 DEI
    INT_DMAC4_DEI4,
// 125 DMAC4 HEI
    INT_DMAC4_HEI4,
// 126 Reserved
    INT_Dummy,
// 127 Reserved
    INT_Dummy,
// 128 DMAC5 DEI
    INT_DMAC5_DEI5,
// 129 DMAC5 HEI
    INT_DMAC5_HEI5,
// 130 Reserved
    INT_Dummy,
// 131 Reserved
    INT_Dummy,
// 132 DMAC6 DEI
    INT_DMAC6_DEI6,
// 133 DMAC6 HEI
    INT_DMAC6_HEI6,
// 134 Reserved
    INT_Dummy,
// 135 Reserved
    INT_Dummy,
// 136 DMAC7 DEI
    INT_DMAC7_DEI7,
// 137 DMAC7 HEI
    INT_DMAC7_HEI7,
// 138 Reserved
    INT_Dummy,
// 139 Reserved
    INT_Dummy,
// 140 DMAC8 DEI
    INT_DMAC8_DEI8,
// 141 DMAC8 HEI
    INT_DMAC8_HEI8,
// 142 Reserved
    INT_Dummy,
// 143 Reserved
    INT_Dummy,
// 144 DMAC9 DEI
    INT_DMAC9_DEI9,
// 145 DMAC9 HEI
    INT_DMAC9_HEI9,
// 146 Reserved
    INT_Dummy,
// 147 Reserved
    INT_Dummy,
// 148 DMAC10 DEI
    INT_DMAC10_DEI10,
// 149 DMAC10 HEI
    INT_DMAC10_HEI10,
// 150 Reserved
    INT_Dummy,
// 151 Reserved
    INT_Dummy,
// 152 DMAC11 DEI
    INT_DMAC11_DEI11,
// 153 DMAC11 HEI
    INT_DMAC11_HEI11,
// 154 Reserved
    INT_Dummy,
// 155 Reserved
    INT_Dummy,
// 156 DMAC12 DEI
    INT_DMAC12_DEI12,
// 157 DMAC12 HEI
    INT_DMAC12_HEI12,
// 158 Reserved
    INT_Dummy,
// 159 Reserved
    INT_Dummy,
// 160 DMAC13 DEI
    INT_DMAC13_DEI13,
// 161 DMAC13 HEI
    INT_DMAC13_HEI13,
// 162 Reserved
    INT_Dummy,
// 163 Reserved
    INT_Dummy,
// 164 DMAC14 DEI
    INT_DMAC14_DEI14,
// 165 DMAC14 HEI
    INT_DMAC14_HEI14,
// 166 Reserved
    INT_Dummy,
// 167 Reserved
    INT_Dummy,
// 168 DMAC15 DEI
    INT_DMAC15_DEI15,
// 169 DMAC15 HEI
    INT_DMAC15_HEI15,
// 170 USB2.0 USBI
    INT_USB2_USBI,
// 171 VDC VIVSYNCJ
    INT_VDC_VIVSYNCJ,
// 172 VDC VBUFERR
    INT_VDC_VBUFERR,
// 173 VDC VIFIELDE
    INT_VDC_VIFIELDE,
// 174 VDC VOLINE
    INT_VDC_VOLINE,
// 175 CMT CH0 CMI0
    INT_CMT_CMI0,
// 176 CMT CH1 CMI1
    INT_CMT_CMI1,
// 177 BSC CMI
    INT_BSC_CMI,
// 178 WDT ITI
    INT_WDT_ITI,
// 179 MTU2 MTU0 TGI0A
    INT_MTU2_MTU0_TGI0A,
// 180 MTU2 MTU0 TGI0B
    INT_MTU2_MTU0_TGI0B,
// 181 MTU2 MTU0 TGI0C
    INT_MTU2_MTU0_TGI0C,
// 182 MTU2 MTU0 TGI0D
    INT_MTU2_MTU0_TGI0D,
// 183 MTU2 MTU0 TCI0V
    INT_MTU2_MTU0_TCI0V,
// 184 MTU2 MTU0 TGI0E
    INT_MTU2_MTU0_TGI0E,
// 185 MTU2 MTU0 TGI0F
    INT_MTU2_MTU0_TGI0F,
// 186 MTU2 MTU1 TGI1A
    INT_MTU2_MTU1_TGI1A,
// 187 MTU2 MTU1 TGI1B
    INT_MTU2_MTU1_TGI1B,
// 188 MTU2 MTU1 TCI1V
    INT_MTU2_MTU1_TCI1V,
// 189 MTU2 MTU1 TCI1U
    INT_MTU2_MTU1_TCI1U,
// 190 MTU2 MTU2 TGI2A
    INT_MTU2_MTU2_TGI2A,
// 191 MTU2 MTU2 TGI2B
    INT_MTU2_MTU2_TGI2B,
// 192 MTU2 MTU2 TCI2V
    INT_MTU2_MTU2_TCI2V,
// 193 MTU2 MTU2 TCI2U
    INT_MTU2_MTU2_TCI2U,
// 194 MTU2 MTU3 TGI3A
    INT_MTU2_MTU3_TGI3A,
// 195 MTU2 MTU3 TGI3B
    INT_MTU2_MTU3_TGI3B,
// 196 MTU2 MTU3 TGI3C
    INT_MTU2_MTU3_TGI3C,
// 197 MTU2 MTU3 TGI3D
    INT_MTU2_MTU3_TGI3D,
// 198 MTU2 MTU3 TCI3V
    INT_MTU2_MTU3_TCI3V,
// 199 MTU2 MTU4 TGI4A
    INT_MTU2_MTU4_TGI4A,
// 200 MTU2 MTU4 TGI4B
    INT_MTU2_MTU4_TGI4B,
// 201 MTU2 MTU4 TGI4C
    INT_MTU2_MTU4_TGI4C,
// 202 MTU2 MTU4 TGI4D
    INT_MTU2_MTU4_TGI4D,
// 203 MTU2 MTU4 TCI4V
    INT_MTU2_MTU4_TCI4V,
// 204 PWM CH1
    INT_PWM_CH1,
// 205 PWM CH2
    INT_PWM_CH2,
// 206 ADC ADI
    INT_ADC_ADI,
// 207 SSI CH0 SSIF0
    INT_SSI_CH0_SSIF0,
// 208 SSI CH0 SSIRXI0
    INT_SSI_CH0_SSIRXI0,
// 209 SSI CH0 SSITXI0
    INT_SSI_CH0_SSITXI0,
// 210 SSI CH1 SSII1
    INT_SSI_CH1_SSII1,
// 211 SSI CH1 SSIRTI1
    INT_SSI_CH1_SSIRTI1,
// 212 SSI CH2 SSII2
    INT_SSI_CH2_SSII2,
// 213 SSI CH2 SSIRTI2
    INT_SSI_CH2_SSIRTI2,
// 214 SSI CH3 SSII3
    INT_SSI_CH3_SSII3,
// 215 SSI CH3 SSIRTI3
    INT_SSI_CH3_SSIRTI3,
// 216 SPDIF SPDIFI
    INT_SPDIF_SPDIFI,
// 217 PCBI3 CH0 STPI0
    INT_PCBI3_CH0_STPI0,
// 218 PCBI3 CH0 NAKI0
    INT_PCBI3_CH0_NAKI0,
// 219 PCBI3 CH0 RXI0
    INT_PCBI3_CH0_RXI0,
// 220 PCBI3 CH0 TXI0
    INT_PCBI3_CH0_TXI0,
// 221 PCBI3 CH0 TEI0
    INT_PCBI3_CH0_TEI0,
// 222 PCBI3 CH1 STPI1
    INT_PCBI3_CH1_STPI1,
// 223 PCBI3 CH1 NAKI1
    INT_PCBI3_CH1_NAKI1,
// 224 PCBI3 CH1 RXI1
    INT_PCBI3_CH1_RXI1,
// 225 PCBI3 CH1 TXI1
    INT_PCBI3_CH1_TXI1,
// 226 PCBI3 CH1 TEI1
    INT_PCBI3_CH1_TEI1,
// 227 PCBI3 CH2 STPI2
    INT_PCBI3_CH2_STPI2,
// 228 PCBI3 CH2 NAKI2
    INT_PCBI3_CH2_NAKI2,
// 229 PCBI3 CH2 RXI2
    INT_PCBI3_CH2_RXI2,
// 230 PCBI3 CH2 TXI2
    INT_PCBI3_CH2_TXI2,
// 231 PCBI3 CH2 TEI2
    INT_PCBI3_CH2_TEI2,
// 232 SCIF SCIF0 BRI0
    INT_SCIF_SCIF0_BRI0,
// 233 SCIF SCIF0 ERI0
    INT_SCIF_SCIF0_ERI0,
// 234 SCIF SCIF0 RXI0
    INT_SCIF_SCIF0_RXI0,
// 235 SCIF SCIF0 TXI0
    INT_SCIF_SCIF0_TXI0,
// 236 SCIF SCIF1 BRI1
    INT_SCIF_SCIF1_BRI1,
// 237 SCIF SCIF1 ERI1
    INT_SCIF_SCIF1_ERI1,
// 238 SCIF SCIF1 RXI1
    INT_SCIF_SCIF1_RXI1,
// 239 SCIF SCIF1 TXI1
    INT_SCIF_SCIF1_TXI1,
// 240 SCIF SCIF2 BRI2
    INT_SCIF_SCIF2_BRI2,
// 241 SCIF SCIF2 ERI2
    INT_SCIF_SCIF2_ERI2,
// 242 SCIF SCIF2 RXI2
    INT_SCIF_SCIF2_RXI2,
// 243 SCIF SCIF2 TXI2
    INT_SCIF_SCIF2_TXI2,
// 244 SCIF SCIF3 BRI3
    INT_SCIF_SCIF3_BRI3,
// 245 SCIF SCIF3 ERI3
    INT_SCIF_SCIF3_ERI3,
// 246 SCIF SCIF3 RXI3
    INT_SCIF_SCIF3_RXI3,
// 247 SCIF SCIF3 TXI3
    INT_SCIF_SCIF3_TXI3,
// 248 SCIF SCIF4 BRI4
    INT_SCIF_SCIF4_BRI4,
// 249 SCIF SCIF4 ERI4
    INT_SCIF_SCIF4_ERI4,
// 250 SCIF SCIF4 RXI4
    INT_SCIF_SCIF4_RXI4,
// 251 SCIF SCIF4 TXI4
    INT_SCIF_SCIF4_TXI4,
// 252 SCIF SCIF5 BRI5
    INT_SCIF_SCIF5_BRI5,
// 253 SCIF SCIF5 ERI5
    INT_SCIF_SCIF5_ERI5,
// 254 SCIF SCIF5 RXI5
    INT_SCIF_SCIF5_RXI5,
// 255 SCIF SCIF5 TXI5
    INT_SCIF_SCIF5_TXI5,
// 256 SCIF SCIF6 BRI6
    INT_SCIF_SCIF6_BRI6,
// 257 SCIF SCIF6 ERI6
    INT_SCIF_SCIF6_ERI6,
// 258 SCIF SCIF6 RXI6
    INT_SCIF_SCIF6_RXI6,
// 259 SCIF SCIF6 TXI6
    INT_SCIF_SCIF6_TXI6,
// 260 SCIF SCIF7 BRI7
    INT_SCIF_SCIF7_BRI7,
// 261 SCIF SCIF7 ERI7
    INT_SCIF_SCIF7_ERI7,
// 262 SCIF SCIF7 RXI7
    INT_SCIF_SCIF7_RXI7,
// 263 SCIF SCIF7 TXI7
    INT_SCIF_SCIF7_TXI7,
// 264 CSSIO SIOFI
    INT_CSSIO_SIOFI,
// 265 RPI CH0 SPEI0
    INT_RPI_CH0_SPEI0,
// 266 RPI CH0 SPRI0
    INT_RPI_CH0_SPRI0,
// 267 RPI CH0 SPTI0
    INT_RPI_CH0_SPTI0,
// 268 RPI CH1 SPEI1
    INT_RPI_CH1_SPEI1,
// 269 RPI CH1 SPRI1
    INT_RPI_CH1_SPRI1,
// 270 RPI CH1 SPTI1
    INT_RPI_CH1_SPTI1,
// 271 CAN CH0 ERS0
    INT_CAN_CH0_ERS0,
// 272 CAN CH0 OVR0
    INT_CAN_CH0_OVR0,
// 273 CAN CH0 RM00
    INT_CAN_CH0_RM00,
// 274 CAN CH0 RM10
    INT_CAN_CH0_RM10,
// 275 CAN CH0 SLE0
    INT_CAN_CH0_SLE0,
// 276 CAN CH1 ERS1
    INT_CAN_CH1_ERS1,
// 277 CAN CH1 OVR1
    INT_CAN_CH1_OVR1,
// 278 CAN CH1 RM01
    INT_CAN_CH1_RM01,
// 279 CAN CH1 RM11
    INT_CAN_CH1_RM11,
// 280 CAN CH1 SLE1
    INT_CAN_CH1_SLE1,
// 281 IEBC IEB
    INT_IEBC_IEB,
// 282 CDROMDEC ISY
    INT_CDROMDEC_ISY,
// 283 CDROMDEC IERR
    INT_CDROMDEC_IERR,
// 284 CDROMDEC ITARG
    INT_CDROMDEC_ITARG,
// 285 CDROMDEC ISEC
    INT_CDROMDEC_ISEC,
// 286 CDROMDEC IBUF
    INT_CDROMDEC_IBUF,
// 287 CDROMDEC IREADY
    INT_CDROMDEC_IREADY,
// 288 FMC FLSTEI
    INT_FMC_FLSTEI,
// 289 FMC FLTENDI
    INT_FMC_FLTENDI,
// 290 FMC FLTREQ0I
    INT_FMC_FLTREQ0I,
// 291 FMC FLTREQ1I
    INT_FMC_FLTREQ1I,
// 292 SDHI SDHI3
    INT_SDHI_SDHI3,
// 293 SDHI SDHI0
    INT_SDHI_SDHI0,
// 294 SDHI SDHI1
    INT_SDHI_SDHI1,
// 295 Reserved
    INT_Dummy,
// 296 RTC ARM
    INT_RTC_ARM,
// 297 RTC PRD
    INT_RTC_PRD,
// 298 RTC CUP
    INT_RTC_CUP,
// 299 SRC CH0 OVF0
    INT_SRC_CH0_OVF0,
// 300 SRC CH0 UDF0
    INT_SRC_CH0_UDF0,
// 301 SRC CH0 CEF0
    INT_SRC_CH0_CEF0,
// 302 SRC CH0 ODFI0
    INT_SRC_CH0_ODFI0,
// 303 SRC CH0 IDEI0
    INT_SRC_CH0_IDEI0,
// 304 SRC CH1 OVF1
    INT_SRC_CH1_OVF1,
// 305 SRC CH1 UDF1
    INT_SRC_CH1_UDF1,
// 306 SRC CH1 CEF1
    INT_SRC_CH1_CEF1,
// 307 SRC CH1 ODFI1
    INT_SRC_CH1_ODFI1,
// 308 SRC CH1 IDEI1
    INT_SRC_CH1_IDEI1,
// 309 DCU DCUEI
    INT_SRC_DCU_DCUEI,
// 310 DCU OFFI
    INT_SRC_DCU_OFFI,
// 311 DCU IFEI
    INT_SRC_DCU_IFEI,
};
